petsc-3.7.1 2016-05-15
Report Typos and Errors

# EventPerfLogGetVisible

This function returns whether an event is printed during PetscLogView()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode EventPerfLogGetVisible(PetscEventPerfLog eventLog, PetscLogEvent event, PetscBool  *isVisible)

Not Collective Many br

### Input Parameters

| eventLog | - The PetscEventPerfLog Many br
| event | - The event id to log Many br

### Output Parameter

isVisible -The visibility flag, PETSC_TRUE for printing, otherwise PETSC_FALSE (default is PETSC_TRUE) Many br

### Database Options

-log_summary -Activates log summary Many br

Many br

### Keywords

log, visible, event

### See Also

EventPerfLogSetVisible(), EventRegLogRegister(), PetscStageLogGetEventLog()

Level:developer
Location:src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages